Bug 201670 - Unabled to boot 2.6.17 Kernel on Intel P965 / ICH8
Unabled to boot 2.6.17 Kernel on Intel P965 / ICH8
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-07 23:53 EDT by Kay Tiong Khoo
Modified: 2015-01-04 17:28 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-20 22:05:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kay Tiong Khoo 2006-08-07 23:53:23 EDT
Description of problem:
With the 2.6.17-1.2157_FC5 kernel, I am unable to boot and invoke init.

Version-Release number of selected component (if applicable):
kernel-2.6.17-1.2157_FC5

How reproducible:
Always.

Steps to Reproduce:
1. Install a fresh copy of FC5 on an Intel P965 / ICH8 motherboard on a SATA drive. 
2. Update to the 2.6.17-1.2157_FC5 kernel.
3. Reboot.
  
Actual results:
The following text is printed on the screen:

PCI: BIOS Bug: MCFG area is not E820-reserved
PCI: Not using MMCONFIG
Red Hat nash version 5.0.32 starting
Unable to access resume device (LABEL=SWAP-sda2)
mount: could not find filesystem '/dev/root'
setuproot: moving /dev/ failed: No such file or directory
setuproot: error mounting /proc: No such file for directory
setuproot: error mounting /sys: No such file or directory
switchroot: mount failed: No such file or directory
Kernel panic - not syncing: Attempted to kill init!

Expected results:
Partititons are mounts and the Operating System boots. 

Additional info:
I am able to boot with the stock kernel which shipped with FC5 - 2.6.15-1.2054_FC5. So this is a 
regression. 

I also checked the initrd image and verified that the relevant kernel modules are correctly installed.
Comment 1 Michael Mayer 2006-09-03 07:05:23 EDT
Same problem here using an Asus P5B Deluxe using the latest 2.6.17 SMP kernel. A
workaround is to set the SATA controller mode to AHCI, but Windows XP will
refuse to boot then. It didn't help to disable the onboard JMicron SATA
controller. It is a known issue, that it is not supported yet.

Also, we noticed that the mouse starts to stutter when disk I/O is happening.
Maybe this also is a problem with the P965 chipset and/or the AHCI support in
the current kernel.

http://www.fedoraforum.org/forum/showthread.php?p=602888
Comment 2 Victor L. Davis 2006-10-11 12:53:08 EDT
Same problem here using an Asua P5B motherboard with the JMicron 363 controller
and ICH8 Intel chip.  The Core 5 install CD recognizes the DVD drive using the
all-generic-ide boot parameter, but is unable to access the hard drive after the
installation routine runs.  Bios updated with all latest Asus patches and set to
AHCI for 500 GB raid 0 array.  It corrupted the existing Windows XP installation
on the raid array and forced a complete reinstall and reconfigure. 
Comment 3 Dave Jones 2006-10-16 17:14:21 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 4 Daniel Tschan 2006-10-18 04:31:19 EDT
This kernel now boots on my setup:
Gigabyte GA-965P-DS3 mainboard with Intel P965, ICH8 (not ICH8R), JMicron JMB363
Intel Core 2 Duo E6600
4x 1GB DDR2-675
Software RAID 5 with 4x 250gb SATA2 disks
Gigabyte GV-NX76G256D-RH PCIe graphics card with nVidia GeForce 7600 GS
LG GSA-H10N IDE DVD writer connected to JMB363

Although I had to create the initial ramdisk manually, bug #211030 and xen does
not work, bug #211090 .

Note You need to log in before you can comment on or make changes to this bug.